import { defineComponent } from 'vue';
import { toDisplayString as _toDisplayString, normalizeStyle as _normalizeStyle, createElementVNode as _createElementVNode, openBlock as _openBlock, createElementBlock as _createElementBlock, pushScopeId as _pushScopeId, popScopeId as _popScopeId } from "vue";

var _withScopeId = n => (_pushScopeId(""), n = n(), _popScopeId(), n);

var _hoisted_1 = {
  style: {
    "width": "100px"
  }
};
export function render(_ctx, _cache) {
  return _openBlock(), _createElementBlock("div", _hoisted_1, [_createElementVNode("div", {
    class: "buttonClass",
    style: _normalizeStyle(_ctx.btnStyle)
  }, _toDisplayString(_ctx.label), 5
  /* TEXT, STYLE */
  )]);
}
export default defineComponent({
  render,
  name: 'VButton',
  props: {
    label: {
      type: String
    },
    backgroundColor: {
      type: String
    },
    fontColor: {
      type: String
    },
    disabled: {
      type: Boolean
    },
    styleType: {
      type: Number
    }
  },
  computed: {
    btnStyle() {
      var bgColor = '';

      if (this.backgroundColor) {
        bgColor = 'background:' + this.backgroundColor + ';';
      }

      var fontColor = '';

      if (this.fontColor) {
        fontColor = 'color:' + this.fontColor + ';';
      }

      var border = 'border: 1px solid #CED2D9;';

      switch (this.styleType) {
        case 1:
          //白色背景
          bgColor = 'background:#ffffff;';
          fontColor = 'color:#212329;';
          break;

        case 2:
          //蓝色背景
          bgColor = 'background:#0074FC;';
          fontColor = 'color:#ffffff;';
          border = 'border: none;';
          break;
      }

      var disabled = '';

      if (this.disabled) {
        disabled = 'pointer-events: none;opacity: 0.3;';
      }

      return bgColor + fontColor + disabled + border;
    }

  }
});