import { defineComponent } from 'vue';
import { createElementVNode as _createElementVNode, toDisplayString as _toDisplayString, openBlock as _openBlock, createElementBlock as _createElementBlock, pushScopeId as _pushScopeId, popScopeId as _popScopeId } from "vue";

var _withScopeId = n => (_pushScopeId(""), n = n(), _popScopeId(), n);

var _hoisted_1 = ["checked"];
var _hoisted_2 = {
  class: "label"
};
export function render(_ctx, _cache) {
  return _openBlock(), _createElementBlock("div", null, [_createElementVNode("input", {
    type: "checkbox",
    class: "checkboxClass",
    checked: _ctx.selected,
    onChange: _cache[0] || (_cache[0] = function () {
      return _ctx.changeHandler && _ctx.changeHandler(...arguments);
    })
  }, null, 40
  /* PROPS, HYDRATE_EVENTS */
  , _hoisted_1), _createElementVNode("span", _hoisted_2, _toDisplayString(_ctx.data.label), 1
  /* TEXT */
  )]);
}
export default defineComponent({
  render,
  name: 'VCheckbox',
  props: {
    data: {
      type: Object
    },
    checked: {
      type: Boolean
    }
  },

  data() {
    return {
      selected: true
    };
  },

  mounted() {
    this.selected = this.checked;
  },

  methods: {
    changeHandler(e) {
      var data = {
        value: this.data.value,
        checked: e.target.checked
      };
      this.$emit("onChange", data);
    }

  }
});