import Button, * as ButtonModule from './button'
import Checkbox, * as CheckboxModule from './checkbox'
import Input, * as InputModule from './input'
import Tabs, * as TabsModule from './tabs'
import Textarea, * as TextareaModule from './textarea'

export const _ButtonComponent = ButtonModule._ButtonComponent || {}
export const _CheckboxComponent = CheckboxModule._CheckboxComponent || {}
export const _InputComponent = InputModule._InputComponent || {}
export const _TabsComponent = TabsModule._TabsComponent || {}
export const _TextareaComponent = TextareaModule._TextareaComponent || {}


function install(app) {
  Button.install && app.use(Button)
  Checkbox.install && app.use(Checkbox)
  Input.install && app.use(Input)
  Tabs.install && app.use(Tabs)
  Textarea.install && app.use(Textarea)
}

export {
  install,
  Button,
  Checkbox,
  Input,
  Tabs,
  Textarea
}

export default {
  install,
  Button,
  Checkbox,
  Input,
  Tabs,
  Textarea
}
