import { defineComponent, watch } from 'vue';
import { renderList as _renderList, Fragment as _Fragment, openBlock as _openBlock, createElementBlock as _createElementBlock, toDisplayString as _toDisplayString, withModifiers as _withModifiers, createCommentVNode as _createCommentVNode, createTextVNode as _createTextVNode, normalizeStyle as _normalizeStyle, pushScopeId as _pushScopeId, popScopeId as _popScopeId } from "vue";

var _withScopeId = n => (_pushScopeId(""), n = n(), _popScopeId(), n);

var _hoisted_1 = ["onClick"];
var _hoisted_2 = ["onClick"];
export function render(_ctx, _cache) {
  return _openBlock(), _createElementBlock("div", null, [(_openBlock(true), _createElementBlock(_Fragment, null, _renderList(_ctx.list, (item, index) => {
    return _openBlock(), _createElementBlock("div", {
      key: index,
      style: _normalizeStyle(_ctx.tabStyle(index)),
      class: "tabClass",
      onClick: $event => _ctx.tabClickHandler(index)
    }, [_createTextVNode(_toDisplayString(item.label) + " ", 1
    /* TEXT */
    ), item.canDelete != false && _ctx.select == index && _ctx.data.length > _ctx.minCount ? (_openBlock(), _createElementBlock("div", {
      key: 0,
      class: "deleteBtn",
      onClick: _withModifiers($event => _ctx.deleteHandler(index), ["stop"])
    }, "×", 8
    /* PROPS */
    , _hoisted_2)) : _createCommentVNode("v-if", true)], 12
    /* STYLE, PROPS */
    , _hoisted_1);
  }), 128
  /* KEYED_FRAGMENT */
  )), _ctx.addable ? (_openBlock(), _createElementBlock("div", {
    key: 0,
    class: "addBtn",
    onClick: _cache[0] || (_cache[0] = $event => _ctx.addHandler()),
    style: _normalizeStyle(_ctx.addBtnStyle)
  }, "+", 4
  /* STYLE */
  )) : _createCommentVNode("v-if", true)]);
}
export default defineComponent({
  render,
  name: 'VTabs',
  props: {
    data: {
      type: Array
    },
    addable: {
      type: Boolean,
      default: true
    },
    maxCount: {
      type: Number,
      default: 10
    },
    minCount: {
      type: Number,
      default: 1
    }
  },

  data() {
    return {
      list: [],
      select: 0
    };
  },

  computed: {
    tabStyle() {
      return index => {
        if (index !== this.select) {
          return "background:#ffffff;color:#212329;";
        }
      };
    },

    addBtnStyle() {
      if (this.data.length === this.maxCount) {
        return "opacity: 0.3;pointer-events: none;";
      }

      return "";
    }

  },

  mounted() {
    this.list = this.data;
    watch(this.list, (newValue, oldValue) => {
      console.log(newValue.length, oldValue.length);

      if (this.select >= newValue.length) {
        this.select = newValue.length - 1;
      }

      this.$emit("tabChange", {
        index: this.select
      });
    });
  },

  methods: {
    tabClickHandler(index) {
      if (index === this.select) {
        return;
      }

      this.select = index;
      this.$emit("tabChange", {
        index: index
      });
    },

    deleteHandler(index) {
      this.$emit("deleteTab", {
        index: index
      });
    },

    addHandler() {
      this.$emit("addTab");
    }

  }
});