import { defineComponent } from 'vue';
import { createElementVNode as _createElementVNode, openBlock as _openBlock, createElementBlock as _createElementBlock, pushScopeId as _pushScopeId, popScopeId as _popScopeId } from "vue";

var _withScopeId = n => (_pushScopeId(""), n = n(), _popScopeId(), n);

var _hoisted_1 = ["value", "maxlength", "rows", "placeholder"];
export function render(_ctx, _cache) {
  return _openBlock(), _createElementBlock("div", null, [_createElementVNode("textarea", {
    value: _ctx.value,
    class: "inputClass",
    maxlength: _ctx.maxlength,
    rows: _ctx.rows,
    placeholder: _ctx.placeholder,
    onInput: _cache[0] || (_cache[0] = function () {
      return _ctx.inputHandler && _ctx.inputHandler(...arguments);
    }),
    onChange: _cache[1] || (_cache[1] = function () {
      return _ctx.changeHandler && _ctx.changeHandler(...arguments);
    })
  }, "\n    ", 40
  /* PROPS, HYDRATE_EVENTS */
  , _hoisted_1)]);
}
export default defineComponent({
  render,
  name: 'VTextarea',
  props: {
    value: {
      type: String
    },
    placeholder: {
      type: String,
      default: '请输入内容'
    },
    maxlength: {
      type: Number
    },
    rows: {
      type: Number,
      default: 3
    }
  },
  methods: {
    changeHandler(e) {
      this.$emit("onChange", e.target.value);
    },

    inputHandler(e) {
      this.$emit("onInput", e.target.value);
    }

  }
});