import Button, * as ButtonModule from './button'
import Checkbox, * as CheckboxModule from './checkbox'
import Input, * as InputModule from './input'
import Tabs, * as TabsModule from './tabs'
import Textarea, * as TextareaModule from './textarea'

import './button/style'
import './checkbox/style'
import './input/style'
import './tabs/style'
import './textarea/style'


function install(app) {
  Button.install && app.use(Button)
  Checkbox.install && app.use(Checkbox)
  Input.install && app.use(Input)
  Tabs.install && app.use(Tabs)
  Textarea.install && app.use(Textarea)
}

export {
  install,
  Button,
  Checkbox,
  Input,
  Tabs,
  Textarea
}

export default {
  install,
  Button,
  Checkbox,
  Input,
  Tabs,
  Textarea
}
