"use strict";

exports.__esModule = true;
exports.default = void 0;
exports.render = render;

var _vue = require("vue");

var _withScopeId = n => ((0, _vue.pushScopeId)(""), n = n(), (0, _vue.popScopeId)(), n);

var _hoisted_1 = {
  style: {
    "width": "100px"
  }
};

function render(_ctx, _cache) {
  return (0, _vue.openBlock)(), (0, _vue.createElementBlock)("div", _hoisted_1, [(0, _vue.createElementVNode)("div", {
    class: "buttonClass",
    style: (0, _vue.normalizeStyle)(_ctx.btnStyle)
  }, (0, _vue.toDisplayString)(_ctx.label), 5
  /* TEXT, STYLE */
  )]);
}

var _default = (0, _vue.defineComponent)({
  render,
  name: 'VButton',
  props: {
    label: {
      type: String
    },
    backgroundColor: {
      type: String
    },
    fontColor: {
      type: String
    },
    disabled: {
      type: Boolean
    },
    styleType: {
      type: Number
    }
  },
  computed: {
    btnStyle() {
      var bgColor = '';

      if (this.backgroundColor) {
        bgColor = 'background:' + this.backgroundColor + ';';
      }

      var fontColor = '';

      if (this.fontColor) {
        fontColor = 'color:' + this.fontColor + ';';
      }

      var border = 'border: 1px solid #CED2D9;';

      switch (this.styleType) {
        case 1:
          //白色背景
          bgColor = 'background:#ffffff;';
          fontColor = 'color:#212329;';
          break;

        case 2:
          //蓝色背景
          bgColor = 'background:#0074FC;';
          fontColor = 'color:#ffffff;';
          border = 'border: none;';
          break;
      }

      var disabled = '';

      if (this.disabled) {
        disabled = 'pointer-events: none;opacity: 0.3;';
      }

      return bgColor + fontColor + disabled + border;
    }

  }
});

exports.default = _default;