"use strict";

exports.__esModule = true;
exports.default = void 0;
exports.render = render;

var _vue = require("vue");

var _withScopeId = n => ((0, _vue.pushScopeId)(""), n = n(), (0, _vue.popScopeId)(), n);

var _hoisted_1 = ["value", "maxlength", "placeholder"];

function render(_ctx, _cache) {
  return (0, _vue.openBlock)(), (0, _vue.createElementBlock)("div", null, [(0, _vue.createElementVNode)("input", {
    value: _ctx.value,
    type: "text",
    class: "inputClass",
    maxlength: _ctx.maxlength,
    placeholder: _ctx.placeholder,
    onInput: _cache[0] || (_cache[0] = function () {
      return _ctx.inputHandler && _ctx.inputHandler(...arguments);
    }),
    onChange: _cache[1] || (_cache[1] = function () {
      return _ctx.changeHandler && _ctx.changeHandler(...arguments);
    })
  }, null, 40
  /* PROPS, HYDRATE_EVENTS */
  , _hoisted_1)]);
}

var _default = (0, _vue.defineComponent)({
  render,
  name: 'VInput',
  props: {
    value: {
      type: String
    },
    maxlength: {
      type: Number
    },
    placeholder: {
      type: String,
      default: '请输入内容'
    }
  },
  methods: {
    changeHandler(e) {
      this.$emit("onChange", e.target.value);
    },

    inputHandler(e) {
      this.$emit("onInput", e.target.value);
    }

  }
});

exports.default = _default;