"use strict";

exports.__esModule = true;
exports.default = void 0;
exports.render = render;

var _vue = require("vue");

var _withScopeId = n => ((0, _vue.pushScopeId)(""), n = n(), (0, _vue.popScopeId)(), n);

var _hoisted_1 = ["onClick"];
var _hoisted_2 = ["onClick"];

function render(_ctx, _cache) {
  return (0, _vue.openBlock)(), (0, _vue.createElementBlock)("div", null, [((0, _vue.openBlock)(true), (0, _vue.createElementBlock)(_vue.Fragment, null, (0, _vue.renderList)(_ctx.list, (item, index) => {
    return (0, _vue.openBlock)(), (0, _vue.createElementBlock)("div", {
      key: index,
      style: (0, _vue.normalizeStyle)(_ctx.tabStyle(index)),
      class: "tabClass",
      onClick: $event => _ctx.tabClickHandler(index)
    }, [(0, _vue.createTextVNode)((0, _vue.toDisplayString)(item.label) + " ", 1
    /* TEXT */
    ), item.canDelete != false && _ctx.select == index && _ctx.data.length > _ctx.minCount ? ((0, _vue.openBlock)(), (0, _vue.createElementBlock)("div", {
      key: 0,
      class: "deleteBtn",
      onClick: (0, _vue.withModifiers)($event => _ctx.deleteHandler(index), ["stop"])
    }, "×", 8
    /* PROPS */
    , _hoisted_2)) : (0, _vue.createCommentVNode)("v-if", true)], 12
    /* STYLE, PROPS */
    , _hoisted_1);
  }), 128
  /* KEYED_FRAGMENT */
  )), _ctx.addable ? ((0, _vue.openBlock)(), (0, _vue.createElementBlock)("div", {
    key: 0,
    class: "addBtn",
    onClick: _cache[0] || (_cache[0] = $event => _ctx.addHandler()),
    style: (0, _vue.normalizeStyle)(_ctx.addBtnStyle)
  }, "+", 4
  /* STYLE */
  )) : (0, _vue.createCommentVNode)("v-if", true)]);
}

var _default = (0, _vue.defineComponent)({
  render,
  name: 'VTabs',
  props: {
    data: {
      type: Array
    },
    addable: {
      type: Boolean,
      default: true
    },
    maxCount: {
      type: Number,
      default: 10
    },
    minCount: {
      type: Number,
      default: 1
    }
  },

  data() {
    return {
      list: [],
      select: 0
    };
  },

  computed: {
    tabStyle() {
      return index => {
        if (index !== this.select) {
          return "background:#ffffff;color:#212329;";
        }
      };
    },

    addBtnStyle() {
      if (this.data.length === this.maxCount) {
        return "opacity: 0.3;pointer-events: none;";
      }

      return "";
    }

  },

  mounted() {
    this.list = this.data;
    (0, _vue.watch)(this.list, (newValue, oldValue) => {
      console.log(newValue.length, oldValue.length);

      if (this.select >= newValue.length) {
        this.select = newValue.length - 1;
      }

      this.$emit("tabChange", {
        index: this.select
      });
    });
  },

  methods: {
    tabClickHandler(index) {
      if (index === this.select) {
        return;
      }

      this.select = index;
      this.$emit("tabChange", {
        index: index
      });
    },

    deleteHandler(index) {
      this.$emit("deleteTab", {
        index: index
      });
    },

    addHandler() {
      this.$emit("addTab");
    }

  }
});

exports.default = _default;